import { ChangeOptions, ExternalIds, Image, PageOption, PeopleTranslations, PersonChanges, PersonCombinedCredits, PersonDetail, PersonMovieCredit, PersonTvShowCredit, PopularPersons, TaggedImages } from '../types';
import { BaseEndpoint } from './base';
export declare class PeopleEndpoint extends BaseEndpoint {
    constructor(accessToken: string);
    details(id: number): Promise<PersonDetail>;
    changes(id: number, options?: ChangeOptions): Promise<PersonChanges>;
    movieCredits(id: number): Promise<PersonMovieCredit>;
    tvShowCredits(id: number): Promise<PersonTvShowCredit>;
    combinedCredits(id: number): Promise<PersonCombinedCredits>;
    externalId(id: number): Promise<ExternalIds>;
    images(id: number): Promise<{
        id: number;
        profiles: Image[];
    }>;
    taggedImages(id: number, options?: PageOption): Promise<TaggedImages>;
    translation(id: number): Promise<PeopleTranslations>;
    latest(): Promise<PersonDetail>;
    popular(options?: PageOption): Promise<PopularPersons>;
}
