"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PeopleEndpoint = void 0;
const base_1 = require("./base");
const BASE_PERSON = '/person';
class PeopleEndpoint extends base_1.BaseEndpoint {
    constructor(accessToken) {
        super(accessToken);
    }
    async details(id) {
        return await this.api.get(`${BASE_PERSON}/${id}`);
    }
    async changes(id, options) {
        return await this.api.get(`${BASE_PERSON}/${id}/changes`, options);
    }
    async movieCredits(id) {
        return await this.api.get(`${BASE_PERSON}/${id}/movie_credits`);
    }
    async tvShowCredits(id) {
        return await this.api.get(`${BASE_PERSON}/${id}/tv_credits`);
    }
    async combinedCredits(id) {
        return await this.api.get(`${BASE_PERSON}/${id}/combined_credits`);
    }
    async externalId(id) {
        return await this.api.get(`${BASE_PERSON}/${id}/external_ids`);
    }
    async images(id) {
        return await this.api.get(`${BASE_PERSON}/${id}/images`);
    }
    async taggedImages(id, options) {
        return await this.api.get(`${BASE_PERSON}/${id}/tagged_images`, options);
    }
    async translation(id) {
        return await this.api.get(`${BASE_PERSON}/${id}/translations`);
    }
    async latest() {
        return await this.api.get(`${BASE_PERSON}/latest`);
    }
    async popular(options) {
        return await this.api.get(`${BASE_PERSON}/popular`, options);
    }
}
exports.PeopleEndpoint = PeopleEndpoint;
//# sourceMappingURL=people.js.map